Bug 331443

Summary: Untranslatable strings in 'Organize tracks' dialog
Product: amarok Reporter: André Marcelo Alvarenga <alvarenga>
Component: Collections/Organize Files DialogAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED FIXED    
Severity: normal CC: ralf-engels
Priority: NOR    
Version: 2.8.0   
Target Milestone: 2.9   
Platform: Debian testing   
OS: Linux   
Latest Commit: Version Fixed In: 2.9
Attachments: Screenshot

Description André Marcelo Alvarenga 2014-02-23 23:12:17 UTC
Strings:

Album Artist, The or The Album Artist      (just 'or' is translatable)
Artist, The or The Artist                              (just 'or' is translatable)
The Album Artist
The Artist

See screenshot.

file: src/dialogs/OrganizeCollectionDialog.cpp

    args["albumartist"] = i18n( "%1 or %2", QLatin1String("Album Artist, The") , QLatin1String("The Album Artist") );
    args["thealbumartist"] = "The Album Artist";
    args["theartist"] = "The Artist";
    args["artist"] = i18n( "%1 or %2", QLatin1String("Artist, The") , QLatin1String("The Artist") );


Reproducible: Always

Steps to Reproduce:
1. Right click on Local Collection
2. Click on Organize Files
3. Choose 'Advanced...' button (if Basic... mode is enabled)



The dialog Title name is inconsistent with Context Menu name.

Context Menu = Organize Files
Dialog Title = Organize tracks
Comment 1 André Marcelo Alvarenga 2014-02-23 23:12:56 UTC
Created attachment 85296 [details]
Screenshot
Comment 2 Myriam Schweingruber 2016-05-30 09:28:07 UTC
Git commit a5df287bb855e3cc3555dbc9d5c971021482dac5 by Myriam Schweingruber.
Committed on 30/05/2016 at 09:25.
Pushed by schweingruber into branch 'master'.

Fix untranslatable string

Fix untranslatable string in Organize Collection Dialog
FIXED-IN: 2.9

M  +2    -2    src/dialogs/OrganizeCollectionDialog.cpp

http://commits.kde.org/amarok/a5df287bb855e3cc3555dbc9d5c971021482dac5